Subject: I-D Action: draft-kwvanhove-sidrops-rpki-tree-hints-01.txt

From: [email-masked]
Date: Mon, 13 Dec 2021 07:17:54 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Tree Hints for the Resource Public Key Infrastructure (RPKI)
        Author          : Koen van Hove
	Filename        : draft-kwvanhove-sidrops-rpki-tree-hints-01.txt
	Pages           : 9
	Date            : 2021-12-13

Abstract:
   In the Resource Public Key Infrastructure (RPKI), holders of IP
   address space can become a Certification Authority (CA), optionally
   hosting their repository.  They can also delegate (part of) their
   resources to subordinate CAs, who in turn may do the same.  This CA
   hierarchy forms a tree structure.  Relying Party (RP) software walks
   this tree and determines the current valid objects.  An underlying
   assumption is that this tree is a reasonable size, and that the
   information can be processed within reasonable time.  This assumption
   is not guaranteed to hold.  This document describes two new
   extensions, "maxDescendants" and "maxVrps", that add constraints for
   use in RP processing that ensure this assumption holds.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-kwvanhove-sidrops-rpki-tree-hints/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-kwvanhove-sidrops-rpki-tree-hints-01.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-kwvanhove-sidrops-rpki-tree-hints-01

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts